#pragma once



#include "cvcls.h"

//´íÎóÂë
#define MT_BUSY_TRAINING  -17
#define MT_ZERO_SIZE       -10
#define MT_NOT_INITED    -18


class CVCLS_API CMotionTracker
{
public:
	CMotionTracker(void);
	virtual ~CMotionTracker(void);

	virtual BOOL Track(const RvImage curframe, int* pError);

	virtual BOOL Init();
	virtual void Release();

public:
	int m_nMaxTrainCount ;

protected:
	void* m_pCxtCv;

private:
	int m_nFrameCount;
	
	

};

